# Class Polyhedron

java.lang.Object
org.jmol.shapespecial.Polyhedron

public class Polyhedron extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`P3`
`center`
`Atom`
`centralAtom`
`short`
`colix`
`short`
`colixEdge`
`boolean`
`collapsed`
`int[][]`
`faces`
`String`
`id`
`boolean`
`isValid`
`int`
`modelIndex`
`float`
`pointScale`
`String`
`polySmiles`
`float`
`scale`
`String`
`smarts`
`String`
`smiles`
`int[][]`
`triangles`
`P3[]`
`vertices`
`int`
`visibilityFlags`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getElemNos(boolean forInfo)`
`short[]`
`getNormixes()`
`void`
`list(SB sb)`
`void`
`setZeroOffset(float value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public String id

### center

public P3 center

### centralAtom

public Atom centralAtom

### vertices

public P3[] vertices

### triangles

public int[][] triangles

### faces

public int[][] faces

### collapsed

public boolean collapsed

### smiles

public String smiles

### smarts

public String smarts

### polySmiles

public String polySmiles

### isValid

public boolean isValid

### colixEdge

public short colixEdge

### visibilityFlags

public int visibilityFlags

### colix

public short colix

### modelIndex

public int modelIndex

### scale

public float scale

### pointScale

public float pointScale

## Method Details

### getElemNos

public int[] getElemNos(boolean forInfo)

### getNormixes

public short[] getNormixes()

### setZeroOffset

public void setZeroOffset(float value)

### list

public void list(SB sb)